College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/recordsget/calendarget/scoreboardget/game/box/advancedget
playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
drives
    /drivesget
plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
teams
    /teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
conferences
    /conferencesget
venues
    /venuesget
coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
rankings
    /rankingsget
betting
    /linesget
recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
draft
    /draft/teamsget/draft/positionsget/draft/picksget
adjustedMetrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

playoffs

Download schema

College Football Playoff brackets, participants, and matchups.


GET
https://api.collegefootballdata.com
/playoffs/cfp
Bearer

Returns the complete College Football Playoff bracket for a season.

query Parameters

year
​integer · int32 · required

Season year.

Responses

Ok

CfpPlayoff
season
​integer · int32 · required
competition
​PlayoffCompetition.Cfp · enum · required
Enum values:
cfp
format
​string · required
teamCount
​integer · int32 · required
status
​PlayoffStatus · enum · required
Enum values:
scheduled
selected
in_progress
completed
​PlayoffParticipant[] · required
​PlayoffRoundRecord[] · required
​object · required
GET/playoffs/cfp
curl 'https://api.collegefootballdata.com/playoffs/cfp?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "season": 0, "competition": "cfp", "format": "format", "teamCount": 0, "status": "scheduled", "participants": [ { "team": { "id": 0, "school": "school", "conference": "conference" }, "committeeRank": 0, "seed": 0, "bidType": "automatic", "qualificationReason": "qualificationReason", "conferenceChampion": true, "qualifyingConference": "qualifyingConference", "firstRoundBye": true, "outcome": "active", "eliminatedRound": "first_round" } ], "rounds": [ { "code": "first_round", "name": "name", "order": 0, "matchups": [ { "id": 0, "bracketSlot": "bracketSlot", "round": "first_round", "roundName": "roundName", "roundOrder": 0, "matchupOrder": 0, "startDate": "2024-08-25T15:00:00Z", "bowlName": "bowlName", "slots": [ { "position": 0, "seed": 0, "participant": { "id": 0, "school": "school", "conference": "conference" }, "source": { "matchupId": 0, "bracketSlot": "bracketSlot", "outcome": "winner" } } ], "game": { "id": 0, "startDate": "2024-08-25T15:00:00Z", "completed": true, "homeTeam": { "id": 0, "school": "school", "conference": "conference" }, "homePoints": 0, "awayTeam": { "id": 0, "school": "school", "conference": "conference" }, "awayPoints": 0, "venueId": 0, "venue": "venue" }, "advancesTo": { "matchupId": 0, "bracketSlot": "bracketSlot", "position": 0 } } ] } ], "champion": { "id": 0, "school": "school", "conference": "conference" } }
json
application/json

GET
https://api.collegefootballdata.com
/playoffs/cfp/participants
Bearer

Returns College Football Playoff participants for a season.

query Parameters

year
​integer · int32 · required

Season year.

Responses

Ok

​PlayoffParticipant[]
PlayoffParticipant
​PlayoffTeam · required
committeeRank
​integer | null · int32 · required
seed
​integer · int32 · required
bidType
​PlayoffBidType · enum · required
Enum values:
automatic
at_large
qualificationReason
​string | null · required
conferenceChampion
​boolean · required
qualifyingConference
​string | null · required
firstRoundBye
​boolean · required
outcome
​PlayoffOutcome · enum · required
Enum values:
active
eliminated
champion
eliminatedRound
​string · enum · required
Enum values:
first_round
quarterfinal
semifinal
championship
GET/playoffs/cfp/participants
curl 'https://api.collegefootballdata.com/playoffs/cfp/participants?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "team": { "id": 0, "school": "school", "conference": "conference" }, "committeeRank": 0, "seed": 0, "bidType": "automatic", "qualificationReason": "qualificationReason", "conferenceChampion": true, "qualifyingConference": "qualifyingConference", "firstRoundBye": true, "outcome": "active", "eliminatedRound": "first_round" } ]
json
application/json

GET
https://api.collegefootballdata.com
/playoffs/cfp/games
Bearer

Returns College Football Playoff matchups for a season.

query Parameters

year
​integer · int32 · required

Season year.

round
​PlayoffRound · enum

Playoff round.

Enum values:
first_round
quarterfinal
semifinal
championship

Responses

Ok

​PlayoffMatchup[]
PlayoffMatchup
id
​integer · int32 · required
bracketSlot
​string · required
round
​PlayoffRound · enum · required
Enum values:
first_round
quarterfinal
semifinal
championship
roundName
​string · required
roundOrder
​integer · int32 · required
matchupOrder
​integer · int32 · required
startDate
​string | null · date-time · required
bowlName
​string | null · required
​PlayoffMatchupSlot[] · required
​object · required
​object · required
GET/playoffs/cfp/games
curl 'https://api.collegefootballdata.com/playoffs/cfp/games?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "bracketSlot": "bracketSlot", "round": "first_round", "roundName": "roundName", "roundOrder": 0, "matchupOrder": 0, "startDate": "2024-08-25T15:00:00Z", "bowlName": "bowlName", "slots": [ { "position": 0, "seed": 0, "participant": { "id": 0, "school": "school", "conference": "conference" }, "source": { "matchupId": 0, "bracketSlot": "bracketSlot", "outcome": "winner" } } ], "game": { "id": 0, "startDate": "2024-08-25T15:00:00Z", "completed": true, "homeTeam": { "id": 0, "school": "school", "conference": "conference" }, "homePoints": 0, "awayTeam": { "id": 0, "school": "school", "conference": "conference" }, "awayPoints": 0, "venueId": 0, "venue": "venue" }, "advancesTo": { "matchupId": 0, "bracketSlot": "bracketSlot", "position": 0 } } ]
json
application/json

gamesdrives